Rem
bbdoc:	Thrown in case an exceptional event happened at runtime.
about:	<link type="stylesheet" href=".." />
End Rem
Type TRuntimeException Extends TBlitzException Final

	Field error:String
	
	Rem
		bbdoc:	Gives a user-defined description of the problem.
	End Rem
	Method toString:String()
		Return Self.error
	End Method
	
	Rem
		bbdoc:	Creates a new runtime exception.
		about:	<div class="bbdoc-params">
					<ul>
						<li>@message A error message describing the exception</li>
						<li>@cause The exception that caused this one</li>
					</ul>
				</div>
	End Rem
	Function Create:TRuntimeException(message:String, cause:TBaseException = Null)
	
		Local this:TRuntimeException
		this		= New TRuntimeException
		this.initCause(cause)
		this.error	= message
		Return this
		
	End Function
	
	Rem
	bbdoc:	
	End Rem
	Method getMessage:String() Final
		Return Self.error
	End Method
	
End Type
